<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<!--       
*     Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*     Use is subject to license terms.
-->
<html><head>
<title>Running an Ant Script</title>
<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>

<h2>Running an Ant Script</h2>
<p> <small><a href="#seealso">See Also</a>&nbsp; </small>
<p>The IDE runs targets in your project's Ant script any time you run commands
	on your project. You can also manually run a target in any Ant script from
	the Ant script's node in the Files window or Favorites window. 
</p>
<p><b>To run a target in an Ant script, </b><b>do either of the following:</b></p>
<ul>
  <li>Right-click the Ant script node and choose the target you want to run from
  	the Run Target submenu.</li>
  <li>Select the Ant script node to display its targets in the Navigator window. 
    Then right-click the target node and choose Run Target.</li>
</ul>
  <ul class="note"> 
    <li> The Output window displays compilation errors generated by Ant scripts 
      as normal Java code compilation errors. You can double-click any error message 
      to jump to the location in the source where the error occurred. See <a href="../compile/comp_output.html">Output 
      Window</a> for more information. </li> 
</ul>
<p><b>To stop a running Ant script:</b> </p>
<ul>
  <li>Choose Run &gt; Stop Build/Run from the main menu.</li>
</ul>
<dl>
    <dt><a name="seealso">See Also</a></dt>
    <dd><a href="../compile/comp_project.html">Building a Project</a></dd>
    <dd><a href="../project/proj_free_targets.html">Mapping an Ant Target to an 
    IDE Command</a></dd>
    <dd><a href="ant_editing.html">Editing an Ant Script</a></dd>
    <dd><a href="ant_tasks-classpath.html">Ant Classpath and Custom Tasks</a></dd>
</dl>

<hr>
<small><a href="../credits.html">Legal Notices</a></small> 


  <table border="0" cellpadding="50">
<tr><td>&nbsp;</td></tr>
</table></body>
</html>
